Skip to content
Start here

List Finetunes

client.ai.finetunes.list(FinetuneListParams { account_id } params, RequestOptionsoptions?): FinetuneListResponse { id, created_at, model, 3 more }
GET/accounts/{account_id}/ai/finetunes

Lists all fine-tuning jobs created by the account, including status and metrics.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
params: FinetuneListParams { account_id }
account_id: string
ReturnsExpand Collapse
FinetuneListResponse { id, created_at, model, 3 more }
id: string
formatuuid
created_at: string
formatdate-time
model: string
modified_at: string
formatdate-time
name: string
description?: string

List Finetunes

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const finetunes = await client.ai.finetunes.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(finetunes.id);
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "description": "description"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "description": "description"
  },
  "success": true
}